package com.gingersoft.coldchain_module.mvp.ui.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.gingersoft.coldchain_module.R
import com.gingersoft.gsa.cloud.ui.utils.BtnBuilder

class OrderDetailsBtnAdapter(list: MutableList<BtnBuilder.BtnBean>) : BaseQuickAdapter<BtnBuilder.BtnBean, BaseViewHolder>(R.layout.item_btn, list) {

    override fun convert(holder: BaseViewHolder, item: BtnBuilder.BtnBean) {
        holder.setText(R.id.tv_btn_content, item.btnContent)
        holder.setBackgroundResource(R.id.layout_btn_item, item.btnColor)
        holder.setImageResource(R.id.iv_btn_mark, item.btnImg)
    }
}